## pysilfont 1.8.0

=== tests/input/font-psf-test/wscript ===
#!/usr/bin/python
# this is a smith configuration file

# output folders use smith defaults and don't need to be set here

# set the version control system for srcdist
VCS = 'git'

# set the font name, version, licensing and description
APPNAME="PsfTest"

DESC_SHORT = "Test font for UFO workflows"
DESC_LONG = """
Psf Test is a Latin script font family for testing UFO-based workflows.
It is not intended to be generally useful as an installable font family, and
may change significantly without notice. It will always be experimental and
may not work as you expect!
"""
DESC_NAME = "PsfTest"

getufoinfo('source/PsfTest-Regular.ufo')

fontfamily=APPNAME
for dspace in ('Roman', 'Italic'):
    designspace('source/' + fontfamily + dspace + '.designspace',
                target = "${DS:FILENAME_BASE}.ttf"
    )

=== debian/changelog ===
pysilfont (1.8.0-4) sid; urgency=medium

  * Simplifying watch file.

 -- Daniel Baumann <daniel@debian.org>  Fri, 02 May 2025 07:57:57 +0200

pysilfont (1.8.0-3) sid; urgency=medium

  * Updating to standards version 4.7.1.
  * Updating to standards version 4.7.2.
  * Adding missing build-depends to python3-setuptools (Closes: #1100254).

 -- Daniel Baumann <daniel@debian.org>  Thu, 13 Mar 2025 07:25:00 +0100

pysilfont (1.8.0-2) sid; urgency=medium

  * Updating email address in copyright.
  * Adding vcs fields.
  * Updating year in debian copyright for 2025.

 -- Daniel Baumann <daniel@debian.org>  Mon, 10 Feb 2025 05:22:48 +0100

pysilfont (1.8.0-1) sid; urgency=medium

  * Initial upload to sid (Closes: #1032272).

 -- Daniel Baumann <daniel@debian.org>  Thu, 21 Nov 2024 15:00:54 +0100

=== debian/control ===
Source: pysilfont
Section: python
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3-all,
 python3-setuptools,
Rules-Requires-Root: no
Standards-Version: 4.7.2
Homepage: https://github.com/silnrsi/pysilfont
Vcs-Browser: https://forgejo.debian.net/python/pysilfont
Vcs-Git: https://forgejo.debian.net/python/pysilfont

Package: python3-silfont
Section: python
Architecture: all
Depends:
 ${misc:Depends},
 ${python3:Depends},
Description: Python-based font utilities collection
 Pysilfont is a collection of font utilities mainly written in Python designed
 to help with various aspects of font design and production.
 .
 It supports font development, with an emphasis on UFO-based workflows. With
 some limitations, all UFO scripts in Pysilfont should work with UFO2 or UFO3
 source files - and can convert from one format to the other.
 .
 In addition, all scripts will output UFOs in a normalized form, designed to
 work with source control systems.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=silfont

%:
	dh ${@} --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/silnrsi/pysilfont/tags .*/v?(\d.*)@ARCHIVE_EXT@
